package models

// BroadcastMessage represents the data sent to the client via WebSocket.
type BroadcastMessage struct {
	Mode       string `json:"mode"`        // "Work", "ShortBreak", or "LongBreak"
	Session    int    `json:"session"`     // Current session number
	MaxSession int    `json:"max_session"` // Total number of sessions
	TimeLeft   int    `json:"time_left"`   // Remaining time in seconds
}

// ClientCommand represents a command from the client (start/stop).
type ClientCommand struct {
	Command string `json:"command"`
}
